import { ParikshanPerformaceEntry } from '.';
export interface MongoDbDetails {
    /** mongodb connection string */
    dbConnectionString: string;
    /** db name */
    dbName: string;
    /** collection name. If not present then it will be created */
    collectionName: string;
    /** auto delete document after n seconds. Ignore to keep document */
    deleteAfterSeconds?: number;
}
/**
 * Connects to db and and saves performance measurements in time series collection,
 * if collection doesn't exist then a new time series collection with given name will be created
 * @param dbDetails - mongo db and collection details
 */
export declare const initMongoPerfSubscriber: (dbDetails: MongoDbDetails) => Promise<void>;
export interface ParikshanMongoDocument extends ParikshanPerformaceEntry {
    /** `timeField`. `Date` object for function called at */
    calledAt: Date;
    /** `metaField`. Function name. 'anonymous' if function doesn't have any name */
    functionName: string;
}
